Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support snippet insert

POST/workspaces/{organizationId}/support/snippets/{snippetId}/insert
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
snippetIdstringrequired
Responses
200

Snippet rendered for context

textstringrequired
markdownstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/snippets/string/insert' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "text": "string",
  "markdown": "string"
}

Was this page helpful?